Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.xml.ws
Annotation Type Action

    @Documented
    @Retention(value=RUNTIME)
    @Target(value=METHOD)
    public @interface Action

The `Action` annotation allows explicit association of a WS-Addressing `Action` message addressing property with `input`, `output`, and `fault` messages of the mapped WSDL operation.

In this version of JAX-WS there is no standard way to specify `Action` values in a WSDL and there is no standard default value. It is intended that, after the W3C WG on WS-Addressing has defined these items in a recommendation, a future version of JAX-WS will require the new standards.

Since:
  JAX-WS 2.1
See Also:
  `Addressing`, `FaultAction`

Optional Element Summary
`FaultAction[]` | `fault` Explicit value of the WS-Addressing `Action` message addressing property for the `fault` message(s) of the operation.
`String` | `input` Explicit value of the WS-Addressing `Action` message addressing property for the `input` message of the operation.
`String` | `output` Explicit value of the WS-Addressing `Action` message addressing property for the `output` message of the operation.

### input

    public abstract String input

  Explicit value of the WS-Addressing `Action` message addressing property for the `input` message of the operation.

  Default:
    ""

### output

    public abstract String output

  Explicit value of the WS-Addressing `Action` message addressing property for the `output` message of the operation.

  Default:
    ""

### fault

    public abstract FaultAction[] fault

  Explicit value of the WS-Addressing `Action` message addressing property for the `fault` message(s) of the operation. Each exception that is mapped to a fault and requires an explicit WS-Addressing `Action` message addressing property, needs to be specified as a value in this property using `FaultAction` annotation.

  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.